# Trait std::os::wasi::fs::DirEntryExt[−][src]

    pub trait DirEntryExt {
        fn ino(&self) -> u64;
    }

🔬 This is a nightly-only experimental API. (`wasi_ext`)
This is supported on WASI only.

WASI-specific extension methods for `fs::DirEntry`.

## Required methods

### `fn ino(&self) -> u64`[src]

🔬 This is a nightly-only experimental API. (`wasi_ext`)

Returns the underlying `d_ino` field of the `dirent_t`

Loading content...

## Implementors

### `impl DirEntryExt for DirEntry`[src]

#### `fn ino(&self) -> u64`[src]

🔬 This is a nightly-only experimental API. (`wasi_ext`)
Loading content...